import React, { memo, useEffect, useMemo, useRef } from 'react';
import { BasicChart } from '@wisdom-components/basicchart';
import optionGenerator from './utils';

const SimgleChart = memo((props) => {
  const { dataSource, contrast = false, contrastOption = 'day', smooth = true } = props;
  const chartRef = useRef();

  const option = useMemo(() => {
    const config = {
      needUnit: true,
    };
    return optionGenerator(dataSource, null, contrast, contrastOption, smooth, config);
  }, [dataSource, smooth]);

  useEffect(() => {
    chartRef.current?.resize?.();
  }, []);

  return (
    <BasicChart ref={chartRef} option={option} notMerge style={{ width: '100%', height: '100%' }} />
  );
});

export default SimgleChart;
